# Projets Python

Ce dépôt contient plusieurs projets Python que vous pouvez installer et utiliser avec `pipx`.

## Installation de pipx

Si `pipx` n'est pas installé, vous pouvez l'installer en utilisant les commandes suivantes selon votre distribution :

### Ubuntu/Debian

```bash
sudo apt update
sudo apt install pipx
pipx ensurepath
```

### Fedora

```bash
sudo dnf install pipx
pipx ensurepath
```

### Arch Linux

```bash
sudo pacman -S python-pipx
pipx ensurepath
```

## Installation avec pipx

### HandBrake_recursive

Un outil pour encoder des vidéos de manière récursive en utilisant HandBrake. Il permet de traiter des fichiers vidéo dans un répertoire donné, en utilisant des presets définis pour le transcodage. Il génère également un résumé des opérations effectuées dans un fichier Excel.

```bash
pipx install --pip-args="--extra-index-url https://git.netdldata.net/api/packages/lionel/pypi/simple/" HandBrake-recursive
```

### proxmox_export_disk

Un script pour exporter des informations sur les disques depuis Proxmox. Il récupère les détails des disques des machines virtuelles et des conteneurs sur un serveur Proxmox, et exporte ces informations dans un fichier Excel ou ODS.

```bash
pipx install --pip-args="--extra-index-url https://git.netdldata.net/api/packages/lionel/pypi/simple/" proxmox-export-disk
```

### tree_stream

Un utilitaire pour afficher la structure des répertoires sous forme de flux. Il permet de visualiser l'arborescence des fichiers et des dossiers avec des informations supplémentaires sur les fichiers vidéo, comme les flux et les chapitres.

```bash
pipx install --pip-args="--extra-index-url https://git.netdldata.net/api/packages/lionel/pypi/simple/" tree-stream
```

### multiplex

Un script Python pour assembler des pistes vidéo, audio et sous-titres issues de deux sources différentes en un seul fichier MKV, en utilisant la bibliothèque `pymkv2`.
Il gère la priorité des pistes françaises, la définition des pistes par défaut, la gestion des chapitres et le renommage intelligent des pistes.

```bash
pipx install --pip-args="--extra-index-url https://git.netdldata.net/api/packages/lionel/pypi/simple/" multiplex
```
